gamerule doImmediateRespawn false
gamerule commandBlockOutput false
gamerule doMobSpawning false
gamerule doMobLoot true
gamerule spawnRadius 0
gamerule doDaylightCycle false
gamerule doWeatherCycle false
gamerule keepInventory true
gamerule doFireTick false
gamerule randomTickSpeed 0
gamerule fallDamage true
spawnpoint @a 0 -56 0
xp set @a 69420 levels
xp set @a 0 points
effect give @a night_vision 10 255 true
effect give @a saturation 10 9 true
execute as @a[scores={bbt.death=1..}] at @s run function bbt:death 
execute as @a[scores={btt.chorus=1..}] at @s run function bbt:chorus 
clear @a mangrove_sign
effect give @e[type=villager] regeneration 5 255 true
# ONE #
execute as @a at @s if block ~ ~-1.8 ~ structure_block run function bbt:one/tp
execute if block -4 -18 -7 ladder run fill -4 -19 -7 -4 -26 -7 air replace lava
execute if block -4 -17 -7 minecraft:ladder run function bbt:one/ladder

# TWO #
execute as @a at @s if block ~ ~-1.3 ~ red_sand run function bbt:two/greet

# THREE #
execute as @a at @s if block ~ ~-1.3 ~ sponge run function bbt:three/greet
execute if block -5 -23 -29 air run function bbt:three/craft
execute if block 1 -24 -28 air run function bbt:three/piston
fill 2 -23 -28 4 -23 -28 minecraft:smooth_quartz_slab[type=bottom]
execute if block 1 -24 -29 minecraft:piston_head run function bbt:three/open

# FOUR #
execute if block 4 -24 -42 minecraft:oak_fence_gate run setblock 4 -24 -42 air destroy
execute if block 3 -24 -42 minecraft:oak_fence_gate run setblock 3 -24 -42 air destroy
execute if block 5 -24 -42 minecraft:oak_fence_gate run setblock 5 -24 -42 air destroy
execute if block 2 -24 -42 minecraft:oak_fence_gate run setblock 2 -24 -42 air destroy
execute if block 6 -24 -42 minecraft:oak_fence_gate run setblock 6 -24 -42 air destroy
execute if block 4 -24 -41 minecraft:oak_fence_gate run setblock 4 -24 -41 air destroy
execute if block 3 -24 -41 minecraft:oak_fence_gate run setblock 3 -24 -41 air destroy
execute if block 5 -24 -41 minecraft:oak_fence_gate run setblock 5 -24 -41 air destroy
execute if block 2 -24 -41 minecraft:oak_fence_gate run setblock 2 -24 -41 air destroy
execute if block 6 -24 -41 minecraft:oak_fence_gate run setblock 6 -24 -41 air destroy
clear @a barrel
kill @e[type=item,nbt={Item:{id:"minecraft:barrel"}}]
execute if block -3 -23 -35 minecraft:air run function bbt:four/craft
execute as @a[nbt={Inventory:[{id:"minecraft:bow"}]}] at @s if entity @s[nbt=!{Inventory:[{id:"minecraft:bow",tag:{enchanted:1b}}]}] at @s run function bbt:four/bow
setblock 4 -20 -43 quartz_slab[type=bottom]

# FIVE #
execute as @a at @s if block ~ ~-1.3 ~ purple_concrete run function bbt:five/greet
setblock 4 -20 -53 minecraft:grass_block
clear @a dirt
kill @e[type=item,nbt={Item:{id:"minecraft:dirt"}}]

# SIX #
execute as @a at @s if block ~ ~-1.3 ~ blue_concrete run function bbt:six/greet
execute if block -5 -17 -61 air run function bbt:six/craft
execute if block -5 -17 -59 air run function bbt:six/furnace

# SEVEN #
execute as @a at @s if block ~ ~-1.3 ~ iron_ore run function bbt:seven/greet
execute as @a at @s if block ~ ~-1.3 ~ polished_granite run function bbt:seven/clear
execute as @a at @s if block ~ ~-1.3 ~ warped_stem run function bbt:seven/win
